<?php

interface HandlerInterface {

	/**
	 * define the constructor to accept ShippingManager by Reference
	 *
	 */
	public function __construct($ShippingManager);

	/**
	 * return any field data that needs to be captured for the rule to function
	 *
	 * @return 	array
	 */
	public function getRuleData();

	/**
	 * given the Rule and RuleData array - process the rule and return a rate or false on fail
	 *
	 * @param 	array 		$ShippingRule 	ShippingRule and ShippingRuleData
	 * @return 	float|bool 	$rate 			Bool false on fail or shipping rate
	 */
	public function processRule($ShippingRule);
}
