<?php
/**
 * ShippingRule Fixture
 */
class ShippingRuleFixture extends CakeTestFixture {

	public $table = 'ev_shipping_shipping_rules';

/**
 * Fields
 *
 * @var array
 */
	public $fields = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => null, 'length' => 10, 'unsigned' => false, 'key' => 'primary'),
		'name' => array('type' => 'string', 'null' => true, 'default' => null, 'length' => 250, 'collate' => 'utf8mb4_general_ci', 'charset' => 'utf8mb4'),
		'handler' => array('type' => 'string', 'null' => true, 'default' => null, 'length' => 250, 'collate' => 'utf8mb4_general_ci', 'charset' => 'utf8mb4'),
		'sequence' => array('type' => 'integer', 'null' => true, 'default' => null, 'length' => 5, 'unsigned' => false),
		'is_selectable' => array('type' => 'boolean', 'null' => true, 'default' => null),
		'is_active' => array('type' => 'boolean', 'null' => true, 'default' => '0'),
		'created' => array('type' => 'datetime', 'null' => true, 'default' => null),
		'modified' => array('type' => 'datetime', 'null' => true, 'default' => null),
		'indexes' => array(
			'PRIMARY' => array('column' => 'id', 'unique' => 1)
		),
		'tableParameters' => array('charset' => 'utf8mb4', 'collate' => 'utf8mb4_general_ci', 'engine' => 'InnoDB')
	);

/**
 * Records
 *
 * @var array
 */
	public $records = array(
		array(
			'id' => 1,
			'name' => 'Weight Based UK Mainland',
			'handler' => 'EvShipping.DefaultWeightHandler',
			'sequence' => 2,
			'is_selectable' => 0,
			'is_active' => 1,
			'created' => '2015-09-03 09:45:31',
			'modified' => '2015-09-03 09:45:31'
		),
		array(
			'id' => 2,
			'name' => 'Weight Based UK None Mainland',
			'handler' => 'EvShipping.DefaultWeightHandler',
			'sequence' => 1,
			'is_selectable' => 0,
			'is_active' => 1,
			'created' => '2015-09-03 09:45:31',
			'modified' => '2015-09-03 09:45:31'
		)
	);

}
